Package proton :: Module handlers :: Class Acking

[frames] | no frames]

# Class Acking

source code

    object --+
             |
            Acking

Known Subclasses:
  - IncomingMessageHandler
  - , MessagingHandler

Instance Methods

accept(self, delivery) Accepts a received message. | source code

reject(self, delivery) Rejects a received message that is considered invalid or unprocessable. | source code

release(self, delivery, delivered=True) Releases a received message, making it available at the source for any (other) interested receiver. | source code

settle(self, delivery, state=None) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### release(self, delivery, delivered=True)

source code

Releases a received message, making it available at the source for any (other) interested receiver. The ``delivered`` parameter indicates whether this should be considered a delivery attempt (and the delivery count updated) or not.